import { jsx } from "react/jsx-runtime";
import { Steps as Steps$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Steps = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "Steps", ...props, children: /* @__PURE__ */ jsx(Steps$1, { weight: variant }) });
  }
);
Steps.displayName = "Steps";
Object.assign(Steps, { isGdsIcon: true });
export {
  Steps
};
